#
# stringMapping.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

from bees import *

class StringMapping:
    def __init__(self, bees, name=""):
        self.bees = bees
        if not name == "":
            self.bees.msg.pushSpecifier("stringMapping", name)

    def create(self, name, mapping={}):
        self.bees.msg.setWhat(JSI_CREATE_PROPERTY)
        self.bees.msg.pushSpecifier("stringMapping")
        self.bees.msg.add("name", name)
        for map in mapping.keys():
            self.bees.msg.add("map", map + "=" + mapping[map])
        reply = self.bees.send()
        return reply.find("result")

    def sign(self, key, algorithm):
        self.bees.msg.setWhat(JSI_EXECUTE_PROPERTY)
        self.bees.msg.pushSpecifier("sign")
        self.bees.msg.add("key", key)
        self.bees.msg.add("algorithm", algorithm)
        reply = self.bees.send()
        return reply.find("result")
