/*
 * ClickDataForwarder.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is part of the Janos Bees Software.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */

package apps.multicast;

import java.io.PrintStream;
import java.io.OutputStream;

import bees.core.NeighborImpl;

import bees.core.resource.File;

/*
 * // Start
 * // They may be quite common on the Internet
 * ipc::IPClassifier(dst host 192.168.2.3 && dst udp port 5001, -);
 * cl::Classifier(40/ffffffffffffffffffffffffffffff, -);
 * tol::ToLinux;
 * PollDevice(eth1, true)
 *   -> Strip(14)
 *   -> CheckIPHeader
 *   -> ipc;
 * ipc[1] -> tol;
 * cl[1] -> tol;
 * ipc[0] -> StripIPHeader -> cl[0] -> UnstripIPHeader -> Unstrip(14) ->
 * t::Tee(2);
 * t[0] -> todevice(eth2);
 * t[1] -> todevice(eth3);
 * // end
 */

public class ClickDataForwarder
    implements MulticastDataForwarder
{
    private File file;

    public ClickDataForwarder(File file, NeighborImpl src, NeighborImpl bn[])
    {
	PrintStream ps;
	
	this.file = file;

	ps = new PrintStream(file.getOutputStream());
	ps.println("");
	ps.close();
    }

    public void removed(Node node, ProtocolSession ps)
    {
	ps = new PrintStream(this.file.getOutputStream());
	ps.println("");
	ps.close();
    }

    public void collected(Node node, ProtocolSession ps)
    {
	this.removed(node, ps);
    }

    public String toString()
    {
	return "ClickDataForwarder[file="
	    + this.file
	    + "]";
    }
}
