/*
 * CloneFactory.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is part of the Janos Bees Software.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */

package bees.core;

/**
 * Helper class to clone certain objects.
 *
 * XXX This is pretty stupid.
 */
public final class CloneFactory
{
    /**
     * @param string The string to clone.
     * @return A new string object with a copy of the char array from the
     * passed in string.
     */
    public static String clone(String string)
    {
	String retval;
	
	if( string != null )
	{
	    retval = new String(string.toCharArray());
	}
	else
	{
	    retval = null;
	}
	return retval;
    }
    
    /**
     * Private constructor, this is a static only class.
     */
    private CloneFactory()
    {
    }
}
